// Copyright (c) 2000 National Semiconductor Corporation, All Rights Reserved.
/* This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 

   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
   for more details. 

   You should have received a copy of the GNU General Public License along with this program; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

#ifndef _NSMTYPES_H
#define _NSMTYPES_H

/*** Include files ***/
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/modversions.h>
#include <linux/pci.h>
#include <linux/mm.h> 
#include <linux/ioport.h>
#include <asm/io.h>
#include <asm/byteorder.h>
#include <linux/delay.h>

/* Ethernet driver specific headers */

#include <linux/netdevice.h>
#include <linux/etherdevice.h>
#include <linux/skbuff.h>
#include <linux/if_ether.h>

#define	STATIC	
#define UCHAR	unsigned char
#define CHAR	char
#define	PVOID	void *
#define	VOID	void
#define	UINT	unsigned int
#define	USHORT	unsigned short
#define INT	int
#define CHAR	char
#define ULONG   unsigned long

#endif _NSMTYPES_H 
